Package org.codehaus.commons.compiler.util

# Class Disassembler

java.lang.Object
org.codehaus.commons.compiler.util.Disassembler

public final class Disassembler extends Object
Generates human-readable Java assembler code from Java bytecode.

## Method Summary

Modifier and Type
Method
Description
`static void`
`disassembleToStdout(byte[] contents)`
Loads a "`de.unkrig.jdisasm.Disassembler`" through reflection (to avoid a compile-time dependency) and uses it to disassemble the given bytes to `System.out`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### disassembleToStdout

public static void disassembleToStdout(byte[] contents)
Loads a "`de.unkrig.jdisasm.Disassembler`" through reflection (to avoid a compile-time dependency) and uses it to disassemble the given bytes to `System.out`.

Prints an error message to `System.err` if that class cannot be loaded through the classpath.

System variable `disasm.verbose` controls whether the disassembler operates in "verbose" mode. The default is `false`.